# timepointsdelete.cpp File Reference

Delete the Time Points File. More...

`#include "timepointsdelete.h"`
`#include <synfig/layer_pastecanvas.h>`
`#include <synfigapp/canvasinterface.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include <synfig/valuenode_animated.h>`
`#include "activepointremove.h"`
`#include "waypointremove.h"`
`#include <synfigapp/timegather.h>`
`#include <typeinfo>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT (Action::TimepointsDelete)
| ACTION_SET_NAME (Action::TimepointsDelete,"TimepointsDelete")
| ACTION_SET_LOCAL_NAME (Action::TimepointsDelete, N_("Delete Time Points"))
| ACTION_SET_TASK (Action::TimepointsDelete,"delete")
| ACTION_SET_CATEGORY (Action::TimepointsDelete, Action::CATEGORY_WAYPOINT|Action::CATEGORY_ACTIVEPOINT)
| ACTION_SET_PRIORITY (Action::TimepointsDelete, 0)
| ACTION_SET_VERSION (Action::TimepointsDelete,"0.0")
| ACTION_SET_CVS_ID (Action::TimepointsDelete,"$Id$")

## Detailed Description

Delete the Time Points File.

$Id$

## Function Documentation

ACTION_INIT | ( | Action::TimepointsDelete |  | ) |

ACTION_SET_NAME | ( | Action::TimepointsDelete | ,
|  | "TimepointsDelete" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::TimepointsDelete | ,
|  | N_("Delete Time Points") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::TimepointsDelete | ,
|  | "delete" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::TimepointsDelete | ,
|  | Action::CATEGORY_WAYPOINT|Action::CATEGORY_ACTIVEPOINT |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::TimepointsDelete | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::TimepointsDelete | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::TimepointsDelete | ,
|  | "$Id$" |  |
| ) |  |  |